#include<bits/stdc++.h>
using namespace std;
string a,m,l;
int i=0,h=0;
int main()
{
	getline(cin,a);
	m=a[0];
	for(;;)
	{
		if(a[i]=='\0') break;
		if(i>1) h++;
		i++;
	}
	l=a[i-1];
	cout<<m<<h<<l<<endl;
	return 0;
}